Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#47256 - [gstreamer-vaapi] crashes totem

Attached to Project: Arch Linux
Opened by step-2 (step-2) - Friday, 04 December 2015, 01:21 GMT
Last edited by Doug Newgard (Scimmia) - Friday, 04 December 2015, 16:15 GMT
Task Type Bug Report
Category Packages: Extra
Status Assigned
Assigned To Jan Steffens (heftig)
Architecture x86_64
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 6
Private No

Details

Description:

installing gstreamer-vaapi crashes totem / sushi , totem / sushi can't play any video file in any format , audio files works fine .

Additional info:
* package version(s)

gstreamer-vaapi 0.6.1-1
totem 3.18.1-1
gstreamer 1.6.1 ( all gst 1.6 packages )

* config and/or log files etc.

Hardware : MBA 6,2 , i5-4250U , intel HD 5000 graphics .

here is output when opening a video file with totem from CLI :

libva info: VA-API version 0.38.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib/dri/i965_drv_video.so
libva info: Found init function __vaDriverInit_0_38
libva info: va_openDriver() returns 0

(totem:10868): Cogl-WARNING **: driver/gl/cogl-buffer-gl.c:93: GL error (1280): Invalid enumeration value

other applications that utilize gstreamer-vaapi are working fine , like videos in firefox .

Steps to reproduce:

1- install totem , gstreamer and gstreamer-vaapi ( on intel graphic system i guess ) .
2- try to play any video file .

this has been going on since gnome 3.16 .
This task depends upon

Comment by Doug Newgard (Scimmia) - Friday, 04 December 2015, 16:14 GMT
Not that this is different than  FS#40807 
Comment by step-2 (step-2) - Saturday, 05 December 2015, 01:49 GMT
clearly not the same , as the  FS#40807  issue concerns hardware that uses wrappers around VAAPI , namely AMD & nvidia , while my hardware is intel graphic & am using libva-intel-driver NOT the vdpau one , also if you look here : https://bbs.archlinux.org/viewtopic.php?id=203609 , there are people with the same hardware and the same issue .
Comment by step-2 (step-2) - Monday, 07 December 2015, 23:45 GMT
gstreamer-vaapi 0.7.0-1 seems to fix the issue
Comment by Javier Jardón (jjardon) - Tuesday, 09 February 2016, 12:42 GMT
This problem has been tracked upstream here: https://bugzilla.gnome.org/show_bug.cgi?id=743687 , current investigation in https://bugzilla.gnome.org/show_bug.cgi?id=742924 (Its a gst-plugins-base problem, not gst-vaapi)
Comment by Luca (lukypie) - Thursday, 09 June 2016, 18:00 GMT
Same problem with an AMDGPU video card. Seems like totem try to use VA API instead of VDPAU(which I don't know, it works both in mpv and vlc)
Comment by M.Reynolds (TheChickenMan) - Saturday, 03 December 2016, 22:28 GMT
Nautilus does not thumbnail certain video files correctly when this package is installed (Intel GPU).

Loading...